using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zadatak_1
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong V = ulong.Parse(Console.ReadLine());
            int broj_novcanica = 0;
            while(V!=0)
            {
                broj_novcanica += Cifra(V);
                V /= 10;
            }
           Console.WriteLine("{0}", broj_novcanica);
        }
        static int Cifra(ulong V)
        {
            int pom = Convert.ToInt32(V % 10);
            if (pom == 0)
                return 0;
            else if (pom == 1 || pom == 2 || pom == 5)
                return 1;
            else if (pom == 3 || pom == 4 || pom == 6 || pom == 7)
                return 2;
            else return 3;
        }
    }
}